package de.intevation.flys.artifacts.states;

import java.util.List;

import org.apache.log4j.Logger;

import de.intevation.artifactdatabase.state.Facet;

import de.intevation.flys.artifacts.FLYSArtifact;
import de.intevation.flys.artifacts.WINFOArtifact;
import de.intevation.flys.artifacts.model.ComputeCallback;

/**
 * The final state that will be reached after the duration curve calculation
 * mode has been chosen.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DurationCurveState extends DefaultState {

    /** The logger that is used in this state.*/
    private static Logger logger = Logger.getLogger(DurationCurveState.class);

    public DurationCurveState() {
    }


    @Override
    public ComputeCallback createComputeCallback(
        String hash, FLYSArtifact flys)
    {
        final WINFOArtifact winfo = (WINFOArtifact) flys;

        return new ComputeCallback() {
            public Object compute(List<Facet> facets) {
                return winfo.getDurationCurveData();
            }
        };
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
